Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
rb_global_vm_lock_struct Struct Reference

`#include <thread_pthread.h>`

## Data Fields
const struct rb_thread_struct * | owner
rb_nativethread_lock_t | lock
struct list_head | waitq
const struct rb_thread_struct * | timer
int | timer_err
rb_nativethread_cond_t | switch_cond
rb_nativethread_cond_t | switch_wait_cond
int | need_yield
int | wait_yield
HANDLE | lock

## Detailed Description

Definition at line 48 of file thread_pthread.h.

## Field Documentation

## ◆ lock [1/2]

HANDLE rb_global_vm_lock_struct::lock

Definition at line 32 of file thread_win32.h.

## ◆ lock [2/2]

rb_nativethread_lock_t rb_global_vm_lock_struct::lock

Definition at line 51 of file thread_pthread.h.

## ◆ need_yield

int rb_global_vm_lock_struct::need_yield

Definition at line 71 of file thread_pthread.h.

## ◆ owner

const struct rb_thread_struct * rb_global_vm_lock_struct::owner

Definition at line 50 of file thread_pthread.h.

## ◆ switch_cond

rb_nativethread_cond_t rb_global_vm_lock_struct::switch_cond

Definition at line 69 of file thread_pthread.h.

## ◆ switch_wait_cond

rb_nativethread_cond_t rb_global_vm_lock_struct::switch_wait_cond

Definition at line 70 of file thread_pthread.h.

## ◆ timer

const struct rb_thread_struct * rb_global_vm_lock_struct::timer

Definition at line 65 of file thread_pthread.h.

## ◆ timer_err

int rb_global_vm_lock_struct::timer_err

Definition at line 66 of file thread_pthread.h.

## ◆ wait_yield

int rb_global_vm_lock_struct::wait_yield

Definition at line 72 of file thread_pthread.h.

## ◆ waitq

struct list_head rb_global_vm_lock_struct::waitq

Definition at line 64 of file thread_pthread.h.

The documentation for this struct was generated from the following files:

- thread_pthread.h
- thread_win32.h
- /msysdev/ruby/src/build-x86_64-pc-msys/include/ruby-2.7.0/x86_64-msys/rb_mjit_min_header-2.7.0.h